Package org.apache.commons.cli

# Class DeprecatedAttributes.Builder

java.lang.Object
org.apache.commons.cli.DeprecatedAttributes.Builder

All Implemented Interfaces:
  `Supplier<DeprecatedAttributes>`

Enclosing class:
  DeprecatedAttributes

public static class DeprecatedAttributes.Builder extends Object implements Supplier<DeprecatedAttributes>
Builds `DeprecatedAttributes`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DeprecatedAttributes`
  `get()`
  `DeprecatedAttributes.Builder`
  `setDescription(String description)`
  Sets the description.
  `DeprecatedAttributes.Builder`
  `setForRemoval(boolean forRemoval)`
  Whether this option is subject to removal in a future version.
  `DeprecatedAttributes.Builder`
  `setSince(String since)`
  Sets the version in which the option became deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### get

    public DeprecatedAttributes get()
    Specified by:
      `get` in interface `Supplier<DeprecatedAttributes>`

  - ### setDescription

    public DeprecatedAttributes.Builder setDescription(String description)
    Sets the description.
    Parameters:
      `description` - the description.
    Returns:
      this.

  - ### setForRemoval

    public DeprecatedAttributes.Builder setForRemoval(boolean forRemoval)
    Whether this option is subject to removal in a future version.
    Parameters:
      `forRemoval` - whether this is subject to removal in a future version.
    Returns:
      this.
    See Also:
      - Deprecated.forRemoval

  - ### setSince

    public DeprecatedAttributes.Builder setSince(String since)
    Sets the version in which the option became deprecated.
    Parameters:
      `since` - the version in which the option became deprecated.
    Returns:
      this.